package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TDictMajorSource;

/**
 * 重大危险源字典 数据层
 */
@Mapper
public interface TDictMajorSourceMapper {

    TDictMajorSource selectTDictMajorSourceByGuid(String guid);

    List<TDictMajorSource> selectTDictMajorSourceList(TDictMajorSource tDictMajorSource);

    int insertTDictMajorSource(TDictMajorSource tDictMajorSource);

    int updateTDictMajorSource(TDictMajorSource tDictMajorSource);

    int deleteTDictMajorSourceByGuid(String guid);

    int deleteTDictMajorSourceByGuids(String[] guids);
}
